Subject: Re: bug#38017: 26.1; Tramp: File not found and directory write-protected

From: Michael Albinus <[email-masked]>
Date: Fri, 01 Nov 2019 12:18:12 +0100

Markus Triska <[email-masked]> writes:

Hi Markus,

> I am using Tramp to access remote files, and it works.
>
> Specifically, I can access a remote server s with
>
>     C-x C-f /ssh:s: RET
>
> However, I am now in a situation where, when I do this, Tramp emits:
>
>     File not found and directory write-protected
>
> even though it worked perfectly just a moment ago in the same Emacs
> instance.
>
> When I start a new Emacs process, it works as expected in that instance.
> Therefore, I think everything is correctly configured, but there is
> something wrong in the existing instance that I would like to find and
> correct so that I can continue using Tramp in the existing Emacs
> instance.
>
> Seeing that everything works when Tramp is freshly loaded, I did:
>
>     M-x tramp-cleanup-all-connections RET

That's good.

> and then I unloaded Tramp with:
>
>     M-x tramp-unload-tramp

I don't know whether this works reliably. At least, it wasn't needed I
believe.

> From this state, is there anything I can do to re-enable Tramp in this
> existing Emacs? I will then try it with increased logging verbosity.

Apply (load "tramp") Hopefully, everything is back then.

> Thank you and all the best,
> Markus

Best regards, Michael.